#***************************************************************************************************
#                              R script for visualising TopoART networks                           *
#***************************************************************************************************
#                           Created by Marko Tscherepanow, 30 December 2012                        *
#***************************************************************************************************

# set the working directory to LibTopoART_v0.90/R/
# Run: source("ShowTopoARTResults.R")

sapply(list.files(pattern = "[.]R$", path = "functions/", full.names = TRUE), source)

TopoART()

# open TopoART network saved as a text file (Choose one of the two lines below!)
# ta <- new("TopoARTNetwork", path = "../results/networks/TopoART_AIL12-like_dataset.txt")
ta <- new("TopoARTNetwork", path = "../results/networks/Fast_TopoART_AIL12-like_dataset.txt")

# images are saved to images/TA_x.pdf, where x denotes the module (a, b, c, d, or e)
SaveNetworkPlot(ta)

